#
# This package ships static linux64 binary as I don't want help my students to
# trick the validator. The source code is not public.
#

# prevent stripping
%define debug_package %{nil}
%define __strip /bin/true

Name: nufnuf
Version: 1.0
Release: 4%{?dist}
Summary: Homework validator for CentOS course

Group: Applications/Communications
License: BSD
URL: https://lukas.zapletalovi.com/students.html
Source0: nufnuf
Source1: profile.sh

%description
Homework validator for CentOS course. The utility detects hardware info and
prints values on standard output.

%prep

%build

%install
install -m 755 -d %{buildroot}%{_sbindir}
install -m 755 -d %{buildroot}%{_sbindir}{%_sysconfdir}/profile.d
install -m 755 -D %{SOURCE0} %{buildroot}%{_sbindir}/
install -m 755 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/nufnuf.sh

install -m 755 -d %{buildroot}%{_sysconfdir}/prelink.conf.d
echo "-b %{_sbindir}/%{name}" > %{buildroot}%{_sysconfdir}/prelink.conf.d/%{name}.conf

%files
%{_sbindir}/%{name}
%{_sysconfdir}/profile.d/nufnuf.sh
%{_sysconfdir}/prelink.conf.d/%{name}.conf

%posttrans
if [ $1 == 0 ] ; then
  source %{_sysconfdir}/profile.d/nufnuf.sh
fi

%changelog



